GIT-PRUNE-PACKED(1)

NAME
git-prune-packed - Program used to remove the extra object files that are now residing in a pack file.

SYNOPSIS
git-prune-packed [-n].sp

DESCRIPTION
This program search the $GIT_OBJECT_DIR for all objects that currently exist in a pack file as well as the independent object directories..sp All such extra objects are removed..sp A pack is a collection of objects, individually compressed, with delta compression applied, stored in a single file, with an associated index file..sp Packs are used to reduce the load on mirror systems, backup engines, disk storage, etc..sp

OPTIONS

-n  Don't actually remove any objects, only show those that would have been removed.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by Ryan Anderson <ryan@michonline.com>.sp

SEE-ALSO
git-pack-objects(1) git-repack(1).sp

GIT
Part of the git(7) suite.sp